
Foreman - Bug #3516

Architectures etc: resources created/modified should not use multibyte names in URLs

10/25/2013 01:11 PM - Dominic Cleal

Status: Closed   

Priority: High   

Assignee:    

Category: Web Interface   

Target version: 1.4.0   

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases:  

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

When creating resources (such as architectures) with multibyte names, the full unicode characters are used in resource URLs

instead of being run through .parameterize to only include URL-safe chars.

Compare this with compute resources, where URLs containing resource names have URL-unsafe chars stripped out due to

.parameterize.

(https://bugzilla.redhat.com/show_bug.cgi?id=1023062)

Related issues:

Related to Foreman - Feature #4386: implement gem friendly_id to simply find ... Closed 02/19/2014

Has duplicate Foreman - Bug #3600: Bookmarks with "/" in Name Break Bookmarks... Duplicate 11/07/2013 11/07/2013

Associated revisions

Revision 39558b72 - 11/13/2013 11:57 AM - Dmitri Dolguikh 

fixes #3516 - resource names (inc. domains) are now being parametrized when used to construct urls

History

#1 - 10/25/2013 01:38 PM - Dominic Cleal

- Priority changed from Normal to High

- Target version set to 1.15.0

This can also severely break the UI if a resource is created with a "/" in its name, e.g. a domain.  The example in the report below isn't required, just

entering "a/b" is sufficient.

Steps to Reproduce:

1.  Navigate to Domains in foreman and try to create a new domain.  use the following string

你好/`cat /etc/passwd/

2.  Note error

3.  Attempt to navigate back to main domains UI at all, e.g., server.example.com/foreman/domains

Actual results:

Initial and subsequent errors

"Oops, we're sorry but something went wrong

x No route matches {:action=>"edit", :controller=>"domains", :id=>"你好/`cat /etc/passwd/`"}

If you feel this is an error with Foreman itself, please open a new issue with Foreman ticketing system, You would probably need to attach the Full

trace and relevant log entries.

Back"

User cannot access page
Expected results:

Field validation

Workaround: use the CLI or API to remove it.

(https://bugzilla.redhat.com/show_bug.cgi?id=1023093)

#2 - 10/25/2013 02:58 PM - Anonymous

- Status changed from New to Assigned

- Assignee set to Anonymous

#3 - 10/28/2013 03:47 PM - Anonymous

- Status changed from Assigned to Ready For Testing

PR: https://github.com/theforeman/foreman/pull/988

#4 - 11/07/2013 09:23 AM - Dominic Cleal

- Has duplicate Bug #3600: Bookmarks with "/" in Name Break Bookmarks Page added

#5 - 11/12/2013 12:03 PM - Anonymous

- Target version changed from 1.15.0 to 1.10.0

#6 - 11/13/2013 11:58 AM - Dominic Cleal

- translation missing: en.field_release set to 2

#7 - 11/13/2013 12:31 PM - Anonymous

- Status changed from Ready For Testing to Closed

- % Done changed from 0 to 100

Applied in changeset 39558b7200a7e1d4d5976ee62e25491d9016e56f.

#8 - 03/07/2014 03:37 PM - Dominic Cleal

- Related to Feature #4386: implement gem friendly_id to simply find by id, name, label, etc added
